# TWiki Enterprise Collaboration Platform, http://TWiki.org/
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read LICENSE in the root of this distribution.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# LocalLib.cfg: local path settings for TWiki

use vars qw( $twikiLibPath $CPANBASE );

#development and debugging settings
$ENV{TWIKI_ASSERTS} = 1;
$ENV{TWIKI_MONITOR} = 1;

# -------------- Path to lib directory containing TWiki.pm. 
#
# REQUIRED
# The absolute path to the 'lib' directory in your installation..

$twikiLibPath = "/srv/www/twiki/lib";


# -------------- Extra path components to include in @INC
# OPTIONAL
# If you need to use perl modules that are not installed in the standard
# directories (e.g. you have downloaded extra modules for use with plugins)
# then you can add the absolute paths to those modules below. You can list
# as many directories as you want, separated by commas.

# @localPerlLibPath = ( '/path/to/dir' );

# http://www.perl.com/pub/a/2002/04/10/mod_perl.html?page=3 has good advice
# on installing CPAN modules without superuser privileges.


1; # Required for successful module loading
$TWiki::cfg{DefaultUrlHost} = 'http://fastpath2.bmc.com';
$TWiki::cfg{PermittedRedirectHostUrls} = 'http://fastpath2';
$TWiki::cfg{ScriptUrlPath} = '/twiki/bin';
$TWiki::cfg{PubUrlPath} = '/twiki/pub';
$TWiki::cfg{PubDir} = '/srv/www/twiki/pub';
$TWiki::cfg{TemplateDir} = '/srv/www/twiki/templates';
$TWiki::cfg{DataDir} = '/srv/www/twiki/data';
$TWiki::cfg{LocalesDir} = '/srv/www/twiki/locale';
$TWiki::cfg{WorkingDir} = '/srv/www/twiki/working';
$TWiki::cfg{ScriptSuffix} = '';
$TWiki::cfg{SafeEnvPath} = '/usr/local/bin:/usr/bin:/bin';
$TWiki::cfg{UseClientSessions} = 1;
$TWiki::cfg{Sessions}{ExpireAfter} = 21600;
$TWiki::cfg{Sessions}{ExpireCookiesAfter} = 0;
$TWiki::cfg{Sessions}{IDsInURLs} = 0;
$TWiki::cfg{Sessions}{UseIPMatching} = 1;
$TWiki::cfg{Sessions}{MapIP2SID} = 0;
$TWiki::cfg{LoginManager} = 'TWiki::LoginManager::TemplateLogin';
$TWiki::cfg{TemplateLogin}{PreventBrowserRememberingPassword} = 0;
$TWiki::cfg{LoginNameFilterIn} = '^[^\\s\\*?~^\\$@%`"\'&;|<>\\x00-\\x1f]+$';
$TWiki::cfg{DefaultUserLogin} = 'guest';
$TWiki::cfg{DefaultUserWikiName} = 'TWikiGuest';
$TWiki::cfg{AdminUserLogin} = 'admin';
$TWiki::cfg{AdminUserWikiName} = 'TWikiAdminUser';
$TWiki::cfg{SuperAdminGroup} = 'TWikiAdminGroup';
$TWiki::cfg{UsersTopicName} = 'TWikiUsers';
$TWiki::cfg{AuthScripts} = 'attach,edit,manage,rename,save,upload,viewauth,rdiffauth,rest';
$TWiki::cfg{AuthRealm} = 'Enter your TWiki.LoginName. (Typically First name and last name, no space, no dots, capitalized, e.g. !JohnSmith, unless you chose otherwise). Visit TWiki.TWikiRegistration if you do not have one.';
$TWiki::cfg{UserMappingManager} = 'TWiki::Users::TWikiUserMapping';
$TWiki::cfg{Register}{EnableNewUserRegistration} = 1;
$TWiki::cfg{Register}{HidePasswd} = 1;
$TWiki::cfg{PasswordManager} = 'TWiki::Users::HtPasswdUser';
$TWiki::cfg{MinPasswordLength} = 1;
$TWiki::cfg{Htpasswd}{FileName} = '/srv/www/twiki/data/.htpasswd';
$TWiki::cfg{Htpasswd}{Encoding} = 'crypt';
$TWiki::cfg{CryptToken}{Enable} = 1;
$TWiki::cfg{CryptToken}{SecureActions} = 'register,save,comment,createweb,upload';
$TWiki::cfg{OS} = 'UNIX';
$TWiki::cfg{DetailedOS} = 'linux';
$TWiki::cfg{DenyDotDotInclude} = 1;
$TWiki::cfg{AllowInlineScript} = 1;
$TWiki::cfg{UploadFilter} = '^(\\.htaccess|.*\\.(?i)(?:php[0-9s]?(\\..*)?|[sp]htm[l]?(\\..*)?|pl|py|cgi))$';
$TWiki::cfg{NameFilter} = '[\\s\\*?~^\\$@%`"\'&;|<>\\[\\]\\x00-\\x1f]';
$TWiki::cfg{AccessibleENV} = '^(HTTP_\\w+|REMOTE_\\w+|SERVER_\\w+|REQUEST_\\w+|MOD_PERL|TWIKI_ACTION)$';
$TWiki::cfg{AntiSpam}{EmailPadding} = '';
$TWiki::cfg{AntiSpam}{HideUserDetails} = 1;
$TWiki::cfg{AntiSpam}{RobotsAreWelcome} = 1;
$TWiki::cfg{Log}{view} = 1;
$TWiki::cfg{Log}{viewfile} = 1;
$TWiki::cfg{Log}{search} = 1;
$TWiki::cfg{Log}{changes} = 1;
$TWiki::cfg{Log}{rdiff} = 1;
$TWiki::cfg{Log}{edit} = 1;
$TWiki::cfg{Log}{save} = 1;
$TWiki::cfg{Log}{upload} = 1;
$TWiki::cfg{Log}{attach} = 1;
$TWiki::cfg{Log}{rename} = 1;
$TWiki::cfg{Log}{register} = 1;
$TWiki::cfg{ConfigurationLogName} = '/srv/www/twiki/data/configurationlog.txt';
$TWiki::cfg{DebugFileName} = '/srv/www/twiki/data/debug%DATE%.txt';
$TWiki::cfg{WarningFileName} = '/srv/www/twiki/data/warn%DATE%.txt';
$TWiki::cfg{LogFileName} = '/srv/www/twiki/data/log%DATE%.txt';
$TWiki::cfg{Languages}{pl}{Enabled} = 1;
$TWiki::cfg{Languages}{ru}{Enabled} = 1;
$TWiki::cfg{Languages}{bg}{Enabled} = 1;
$TWiki::cfg{Languages}{pt}{Enabled} = 1;
$TWiki::cfg{Languages}{de}{Enabled} = 1;
$TWiki::cfg{Languages}{'zh-tw'}{Enabled} = 1;
$TWiki::cfg{Languages}{fr}{Enabled} = 1;
$TWiki::cfg{Languages}{'zh-cn'}{Enabled} = 1;
$TWiki::cfg{Languages}{it}{Enabled} = 1;
$TWiki::cfg{Languages}{sv}{Enabled} = 1;
$TWiki::cfg{Languages}{ja}{Enabled} = 1;
$TWiki::cfg{Languages}{da}{Enabled} = 1;
$TWiki::cfg{Languages}{es}{Enabled} = 1;
$TWiki::cfg{Languages}{cs}{Enabled} = 1;
$TWiki::cfg{Languages}{ko}{Enabled} = 1;
$TWiki::cfg{Languages}{nl}{Enabled} = 1;
$TWiki::cfg{DisplayTimeValues} = 'servertime';
$TWiki::cfg{DefaultDateFormat} = '$year-$mo-$day';
$TWiki::cfg{Site}{Locale} = 'en_US.ISO-8859-1';
$TWiki::cfg{Site}{LocaleRegexes} = 1;
$TWiki::cfg{UpperNational} = '';
$TWiki::cfg{LowerNational} = '';
$TWiki::cfg{PluralToSingular} = 1;
$TWiki::cfg{StoreImpl} = 'RcsWrap';
$TWiki::cfg{RCS}{ExtOption} = '';
$TWiki::cfg{RCS}{dirPermission} = 493;
$TWiki::cfg{RCS}{filePermission} = 420;
$TWiki::cfg{Store}{RememberChangesFor} = 2678400;
$TWiki::cfg{RCS}{asciiFileSuffixes} = '\\.(txt|html|xml|pl)$';
$TWiki::cfg{RCS}{initBinaryCmd} = '/usr/bin/rcs  -i -t-none -kb %FILENAME|F%';
$TWiki::cfg{RCS}{initTextCmd} = '/usr/bin/rcs  -i -t-none -ko %FILENAME|F%';
$TWiki::cfg{RCS}{tmpBinaryCmd} = '/usr/bin/rcs  -kb %FILENAME|F%';
$TWiki::cfg{RCS}{ciCmd} = '/usr/bin/ci  -m%COMMENT|U% -t-none -w%USERNAME|S% -u %FILENAME|F%';
$TWiki::cfg{RCS}{ciDateCmd} = '/usr/bin/ci  -m%COMMENT|U% -t-none -d%DATE|D% -u -w%USERNAME|S% %FILENAME|F%';
$TWiki::cfg{RCS}{coCmd} = '/usr/bin/co  -p%REVISION|N% -ko %FILENAME|F%';
$TWiki::cfg{RCS}{histCmd} = '/usr/bin/rlog  -h %FILENAME|F%';
$TWiki::cfg{RCS}{infoCmd} = '/usr/bin/rlog  -r%REVISION|N% %FILENAME|F%';
$TWiki::cfg{RCS}{rlogDateCmd} = '/usr/bin/rlog  -d%DATE|D% %FILENAME|F%';
$TWiki::cfg{RCS}{diffCmd} = '/usr/bin/rcsdiff  -q -w -B -r%REVISION1|N% -r%REVISION2|N% -ko --unified=%CONTEXT|N% %FILENAME|F%';
$TWiki::cfg{RCS}{lockCmd} = '/usr/bin/rcs  -l %FILENAME|F%';
$TWiki::cfg{RCS}{unlockCmd} = '/usr/bin/rcs  -u %FILENAME|F%';
$TWiki::cfg{RCS}{breaklockCmd} = '/usr/bin/rcs  -u -M %FILENAME|F%';
$TWiki::cfg{RCS}{delRevCmd} = '/usr/bin/rcs  -o%REVISION|N% %FILENAME|F%';
$TWiki::cfg{RCS}{SearchAlgorithm} = 'TWiki::Store::SearchAlgorithms::Forking';
$TWiki::cfg{RCS}{QueryAlgorithm} = 'TWiki::Store::QueryAlgorithms::BruteForce';
$TWiki::cfg{RCS}{EgrepCmd} = '/bin/grep -E %CS{|-i}% %DET{|-l}% -H -- %TOKEN|U% %FILES|F%';
$TWiki::cfg{RCS}{FgrepCmd} = '/bin/grep -F %CS{|-i}% %DET{|-l}% -H -- %TOKEN|U% %FILES|F%';
$TWiki::cfg{EnableHierarchicalWebs} = 1;
$TWiki::cfg{SystemWebName} = 'TWiki';
$TWiki::cfg{TrashWebName} = 'Trash';
$TWiki::cfg{UsersWebName} = 'Main';
$TWiki::cfg{EnableEmail} = 1;
$TWiki::cfg{WebMasterEmail} = 'larry_bristol@bmc.com';
$TWiki::cfg{WebMasterName} = 'TWiki Administrator';
$TWiki::cfg{MailProgram} = '/usr/sbin/sendmail -t -oi -oeq';
$TWiki::cfg{SMTP}{MAILHOST} = '';
$TWiki::cfg{SMTP}{SENDERHOST} = '';
$TWiki::cfg{SMTP}{Username} = '';
$TWiki::cfg{SMTP}{Password} = '';
$TWiki::cfg{RemoveImgInMailnotify} = 1;
$TWiki::cfg{NotifyTopicName} = 'WebNotify';
$TWiki::cfg{SMTP}{Debug} = 0;
$TWiki::cfg{PROXY}{HOST} = '';
$TWiki::cfg{PROXY}{PORT} = '';
$TWiki::cfg{PROXY}{Username} = '';
$TWiki::cfg{PROXY}{Password} = '';
$TWiki::cfg{PROXY}{SkipProxyForDomains} = '';
$TWiki::cfg{Stats}{TopViews} = '12';
$TWiki::cfg{Stats}{TopContrib} = '12';
$TWiki::cfg{Stats}{TopicName} = 'WebStatistics';
$TWiki::cfg{TemplatePath} = '/srv/www/twiki/templates/$web/$name.$skin.tmpl, /srv/www/twiki/templates/$name.$skin.tmpl, /srv/www/twiki/templates/$web/$name.tmpl, /srv/www/twiki/templates/$name.tmpl, /srv/www/twiki/templates/$web.$skinSkin$nameTemplate, /srv/www/twiki/templates/TWiki.$skinSkin$nameTemplate, /srv/www/twiki/templates/$web.$nameTemplate, /srv/www/twiki/templates/TWiki.$nameTemplate';
$TWiki::cfg{LinkProtocolPattern} = '(file|ftp|gopher|https|http|irc|mailto|news|nntp|telnet)';
$TWiki::cfg{SiteWebTopicName} = '';
$TWiki::cfg{SitePrefsTopicName} = 'TWikiPreferences';
$TWiki::cfg{LocalSitePreferences} = 'Main.TWikiPreferences';
$TWiki::cfg{HomeTopicName} = 'WebHome';
$TWiki::cfg{WebPrefsTopicName} = 'WebPreferences';
$TWiki::cfg{NumberOfRevisions} = 4;
$TWiki::cfg{ReplaceIfEditedAgainWithin} = 3600;
$TWiki::cfg{LeaseLength} = 3600;
$TWiki::cfg{LeaseLengthLessForceful} = 3600;
$TWiki::cfg{MimeTypesFileName} = '/srv/www/twiki/mime.types';
$TWiki::cfg{Operators}{Query} = [
          'TWiki::Query::OP_and',
          'TWiki::Query::OP_eq',
          'TWiki::Query::OP_lc',
          'TWiki::Query::OP_lte',
          'TWiki::Query::OP_not',
          'TWiki::Query::OP_ref',
          'TWiki::Query::OP_d2n',
          'TWiki::Query::OP_gte',
          'TWiki::Query::OP_length',
          'TWiki::Query::OP_lt',
          'TWiki::Query::OP_ob',
          'TWiki::Query::OP_uc',
          'TWiki::Query::OP_dot',
          'TWiki::Query::OP_gt',
          'TWiki::Query::OP_like',
          'TWiki::Query::OP_ne',
          'TWiki::Query::OP_or',
          'TWiki::Query::OP_where'
        ];
$TWiki::cfg{Operators}{If} = [
          'TWiki::If::OP_allows',
          'TWiki::If::OP_defined',
          'TWiki::If::OP_isempty',
          'TWiki::If::OP_ingroup',
          'TWiki::If::OP_isweb',
          'TWiki::If::OP_context',
          'TWiki::If::OP_dollar',
          'TWiki::If::OP_istopic'
        ];
$TWiki::cfg{Plugins}{CommentPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{EditTablePlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{HeadlinesPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{InterwikiPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{JQueryPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{PreferencesPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{SlideShowPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{SmiliesPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{SpreadSheetPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{TablePlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{TagMePlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{TinyMCEPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{TWikiNetSkinPlugin}{Enabled} = 0;
$TWiki::cfg{Plugins}{TwistyPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{WysiwygPlugin}{Enabled} = 1;
$TWiki::cfg{PluginsOrder} = 'SpreadSheetPlugin';
$TWiki::cfg{ExtensionsRepositories} = 'TWiki.org=(http://twiki.org/cgi-bin/view/Plugins/,http://twiki.org/p/pub/Plugins/)';
$TWiki::cfg{MailerContrib}{EmailFilterIn} = '';
$TWiki::cfg{JSCalendarContrib}{format} = '%Y-%m-%d';
$TWiki::cfg{JSCalendarContrib}{lang} = 'en';
$TWiki::cfg{JSCalendarContrib}{style} = 'blue';
$TWiki::cfg{Register}{NeedVerification} = 1;
$TWiki::cfg{Site}{CharSet} = 'iso-8859-1';
$TWiki::cfg{Plugins}{CalendarPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{ControlsPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{DatabasePlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{EditRowPlugin}{Enabled} = 0;
$TWiki::cfg{Plugins}{ExplicitNumberingPlugin}{Enabled} = 0;
$TWiki::cfg{Plugins}{FormPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{GlobalReplacePlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{LinkOptionsPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{RecursiveRenderPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{RenderListPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{UpdateInfoPlugin}{Enabled} = 1;
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigSource} = 'Local';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigHost} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigDriver} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigDB} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigSID} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigTable} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigUsername} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{ConfigPassword} = '';
$TWiki::cfg{Plugins}{DatabasePlugin}{EditURLPrefix} = 'https';
$TWiki::cfg{Plugins}{DatabasePlugin}{EditURLPath} = 'phpMyAdmin-2.2.2-rc1';
$TWiki::cfg{Plugins}{DatabasePlugin}{Databases} = [
          {
            'sid' => 'sid',
            'hostname' => 'localhost',
            'description' => 'twiki',
            'username' => 'www-data',
            'database' => '',
            'password' => '',
            'table_name' => '',
            'driver' => 'mysql'
          }
        ];
$TWiki::cfg{Password} = 'hJz0i1dVxTLA2';
1;
